dpkg-deb(1)

NAZWA
dpkg-deb - narzędzie obsługi plików archiwum Debiana (.deb)

SKŁADNIA
dpkg-deb [opcja...] polecenie

OPIS
dpkg-deb tworzy, rozpakowuje i podaje informacje o plikach archiwum (czyli pakietach) Debiana.

Do instalowania i usuwania pakietów z systemu służy polecenie dpkg.

Ponadto można skorzystać z dpkg-deb wywołując dpkg z odpowiednią opcją, która zostanie przekazana do dpkg-deb. dpkg uruchomi dpkg-deb i wykona żądaną operację.

POLECENIA

-b, --build katalog [archiwum|katalog]
    Tworzy archiwum Debiana z plików zawartych w katalogu. katalog musi zawierać podkatalog o nazwie DEBIAN, w którym zawarte są pliki kontrolne, takie jak np. control. Ten katalog nie pojawi się w archiwum binarnym pakietu, tylko zostanie umieszczony jako informacje kontrolne pakietu, które opisują właściwości pakietu. Jeśli pominięto opcję --nocheck, dpkg-deb odczyta plik DEBIAN/control i przetworzy go. Sprawdzi przy tym, czy nie występują w nim błędy składniowe lub inne problemy, a następnie wyświetli nazwę pakietu, który jest tworzony. dpkg-deb ponadto sprawdzi prawa dostępu skryptów instalacyjnych i innych plików znajdujących się w katalogu DEBIAN. Jeśli nie podano nazwy archiwum, to dpkg-deb zapisze pakiet w pliku katalog.deb. Jeżeli taki pakiet już istnieje, to zostanie nadpisany. Jeśli drugim argumentem jest katalog, to dpkg-deb zapisze pakiet pod nazwą katalog/pakiet_wersja_arch.deb lub katalog/pakiet_wersja.deb, jeśli nie zostało określone pole Architecture w pliku kontrolnym. Gdy podany jest katalog, to nie może zostać użyta opcja --no-check, ponieważ dpkg-deb musi przetworzyć plik kontrolny, aby rozpoznać nazwę i wersję pakietu.

-I, --info archiwum [nazwa-pliku-kontrolnego...]
    Dostarcza informacji o pakiecie. Gdy nie podano żadnej nazwy-pliku-kontrolnego, wyświetlana jest informacja o zawartości pakietu oraz zestawienie wykorzystanych plików kontrolnych. W razie podania nazwy-pliku-kontrolnego, dpkg-deb wyświetli zawartość tego pliku. Jeśli ten plik nie istnieje, wyświetlony zostanie komunikat błędu na standardowe wyjście błędów i program zakończy się z kodem błędu 2.

-W, --show archiwum
    Wyświetla informację o pakiecie binarnym w formacie określonym opcją --showformat. W domyślnym formacie w każdej linii wyświetlane są nazwa i wersja pakietu, oddzielone od siebie znakiem tabulacji.

-f, --field archiwum [nazwa-pola-kontrolnego...]
    Wyświetla zawartość pliku kontrolnego o nazwie control. Jeśli nie podano żadnej nazwy-pola-kontrolnego, to wyświetlana jest zawartość całego pliku control. Jeśli podano nazwę-pola-kontrolnego, to dpkg-deb wyświetli jej zawartość. Gdy podano więcej niż jedną nazwę-pola-kontrolnego, to dpkg-deb wyświetli pola wraz z nazwą (oraz dwukropkiem i spacją) w takiej kolejności, w jakiej są wymienione w pliku kontrolnym. Dla nieodnalezionych pól kontrolnych nie są wyświetlane komunikaty błędów.

-c, --contents archiwum
    Wyświetla zawartość archiwum. Wydruk jest podany w takiej postaci, jaką generuje polecenie tar.

-x, --extract katalog archiwum
    Rozpakowuje zawartość archiwum do podanego katalogu. Proszę zauważyć, że rozpakowanie pakietu w katalogu głównym nie jest odpowiednikiem zainstalowania pakietu! Do tego celu służy wyłącznie polecenie dpkg. katalog (ale bez katalogów nadrzędnych) zostanie utworzony jeśli trzeba, a jego uprawnienia zostaną zmodyfikowane tak, aby odpowiadały zawartości pakietu.

-X, --vextract katalog archiwum
    Działa podobnie do --extract (-x) z --verbose (-v), które wypisuje nazwy plików, które są rozpakowywane.

-R, --raw-extract archiwum katalog
    Rozpakowuje zawartość archiwum do podanego katalogu, a pliki informacji kontrolnych do podkatalogu DEBIAN podanego katalogu. W razie potrzeby, katalog docelowy będzie utworzony.

--ctrl-tarfile archive
    Extracts the control data from a binary package and sends it to standard output in tar format (since dpkg 1.17.14). Together with tar(1) this can be used to extract a particular control file from a package archive. The input archive will always be processed sequentially.

--fsys-tarfile archiwum
    Rozpakowuje pliki z archiwum i wysyła je na standardowe wyjście w postaci formatu polecenia tar. Gdy ta operacja zostanie połączona z tarem, możliwe jest rozpakowanie tylko wybranych plików z archiwum. Wejście będzie zawsze przetwarzane sekwencyjnie.

-e, --control archiwum [katalog]
    Rozpakowuje pliki kontrolne pakietu do podanego katalogu. Jeśli katalog nie został określony, pliki są rozpakowywane do podkatalogu DEBIAN w katalogu bieżącym. W razie potrzeby, katalog docelowy będzie utworzony.

-?, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego wypisanego pakietu. Argumentem jest łańcuch znaków w postaci "${nazwa-pola}", który może się odnosić do dowolnego pola pliku stanu. Listę nazw poprawnych pól można łatwo wygenerować, używając opcji -I na tym samym pakiecie. Pełne wyjaśnienie opcji formatowania (łącznie z sekwencjami cytowania i rozdzielaniem pól) można znaleźć w opisie opcji --showformat w dpkg-query(1). Domyślną wartością tego pola jest "${Package}\t${Version}\n".

-zpoziom-kompresji
    Określa poziom kompresji używany przez program kompresujący podczas budowania pakietu (domyślnie: 9 w przypadku gzip i bzip9, 6 - xz i lzma). Akceptowanymi wartościami są 0-9, gdzie 0 jest tłumaczone na brak kompresji w przypadku gzip i 1 w przypadku bzip2. Przed dpkg 1.16.2 poziom 0 był odpowiednikiem braku kompresji w przypadku wszystkich programów kompresujących.

-Sstrategia-kompresji
    Specify which compression strategy to use on the compressor backend, when building a package (since dpkg 1.16.2). Allowed values are none (since dpkg 1.16.4), filtered, huffman, rle and fixed for gzip (since dpkg 1.17.0) and extreme for xz.

-Ztyp-kompresji
    Specify which compression type to use when building a package. Allowed values are gzip, xz, bzip2 (deprecated), lzma (deprecated), and none (default is xz).

--uniform-compression
    Specify that the same compression parameters should be used for all archive members (i.e. control.tar and data.tar). Otherwise only the data.tar member will use those parameters. The only supported compression types allowed to be uniformly used are none, gzip and xz.

--deb-format=format
    Set the archive format version used when building (since dpkg 1.17.0). Allowed values are 2.0 for the new format, and 0.939000 for the old one (default is 2.0). The old archive format is less easily parsed by non-Debian tools and is now obsolete; its only use is when building packages to be parsed by versions of dpkg older than 0.93.76 (September 1995), which was released as i386 a.out only.

--new
    This is a legacy alias for --deb-format=2.0.

--old
    This is a legacy alias for --deb-format=0.939000.

--nocheck
    Powoduje, że polecenie dpkg-deb --build nie będzie sprawdzać zawartości archiwum. W ten sposób można utworzyć niepoprawny pakiet, jeśli zajdzie taka potrzeba.

-v, --verbose
    Włącza wyświetlanie szczegółowych informacji. Obecnie wpływa jedynie na --extract, dzięki czemu zachowuje się ono jak --vextract.

-D, --debug
    Włącza opcję debugowania. Nie jest to zbyt interesujące.

ŚRODOWISKO

TMPDIR
    Jeśli jest ustawiona, dpkg-deb będzie jej używał jako katalogu do tworzenia plików i katalogów tymczasowych.

UWAGI
Nie należy używać dpkg-deb do instalowania oprogramowania! Do tego celu należy korzystać z dpkg, który zainstaluje poprawnie pliki i uruchomi potrzebne skrypty instalacyjne.

BŁĘDY
dpkg-deb -I pakiet1.deb pakiet2.deb działa niepoprawnie. Nie ma sprawdzania autentyczności plików .deb, a nawet nie ma prostej sumy kontrolnej. (Narzędzia wyższego poziomu takie jak APT wspierają uwierzytelnianie pakietów .deb pobieranych z danego repozytorium, zaś większość współczesnych pakietów dostarcza plik kontrolny md5sum wygenerowany przez debian/rules. Niestety, nie jest to bezpośrednio wspierane przez narzędzia niższego poziomu.)

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg(1), dselect(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012